#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA8,0x2F,0xF9,0x07,0xC5,0x5D,0xD3,0xA9,0x3F,0x1D,0x49,0x6C,
		0x18,0xE6,0xAA,0x27,0x2E,0x40,0xC6,0xE1,0x5D,0x19,0x66,0xF0,
		0x0A,0xA4,0xC5,0x3D,0x70,0xBA,0x93,0xF7,0xAB,0xEC,0x47,0x63,
		0x9D,0x5A,0x03,0x3F,0x40,0x77,0x33,0x19,0x09,0x40,0x3A,0x28,
		0xBB,0xCF,0x68,0x85,0x6F,0xEB,0xAA,0xEE,0xB0,0x79,0x51,0x06,
		0x02,0xA5,0x61,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
